function [F0 E]=f_F0(y,fs,k,delkaS)
% zde bude provedena detekce základního tonu a vyhodnocení průměrného
% základního tonu.
% definice zakladnich parametru
NN=2048;
prekryv=NN;     %definuje se v poctech vzorku

% segmentace signalu
if(prekryv==NN)
    f=enframe(y,hanning(NN))';
else
    f=enframe(y,hanning(NN),prekryv)';       %vstup je signal velikost okna je 2048 a 1024 je prekryv
end
% detekce zakladniho tonu reci
[R0 N]=size(f);

zn=zeros(1,N);
F0=zeros(1,N);
% definice "lagu" tj zakladni perioda ve vzorcich

Lmin=fix(fs/700);
Lmax=fix(fs/80);

for i=1:N
%     vypocet casove osy
    if (i==1 || prekryv==NN)
        F0(2,i)=i*1/(fs/NN)+k*delkaS;    %vypocteni casove osy
    else
        F0(2,i)=i*1/(fs/NN)*prekryv+k*delkaS;
    end
%    urceni zakladniho tonu
    R=xcorr(f(:,i));
    R=R(R0+Lmin:R0+Lmax);
    Rk=find(R==max(R))+Lmin;
    F0(1,i)=fs/Rk;
end
% konec urceni zakladniho tonu reci
% % % % % % % % % % % % % % % % % % % % % % % % % % 
% stanoveni zmelosti a neznelosti hlasek a energie
% 1.stanovení energie
E=sum(f.^2)/R0;
m=(mean(E)+median(E))/2;  %aritmeticky prumer stredni hodnoty medianu pro dany usek zapasu
indexy=find(E>ones(1,N)*m);
zn(indexy)=1;
index=find(F0(1,:)>550*ones(1,N));
F0(1,index)=0;
F0(1,:)=F0(1,:).*zn;
E=zcr(f(i,:));